# Interface methods for submodule: HDF5ImageIO
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import StreamingImageIOBaseProxy as _StreamingImageIOBaseProxy


# Interface methods for class: HDF5ImageIO
class HDF5ImageIOProxy(_StreamingImageIOBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def CanReadFile(self, FileNameToRead) -> bool:
		""""""
		...

	def ReadImageInformation(self) -> None:
		""""""
		...

	def Read(self, buffer) -> None:
		""""""
		...

	def CanWriteFile(self, name) -> bool:
		""""""
		...

	def WriteImageInformation(self) -> None:
		""""""
		...

	def Write(self, buffer) -> None:
		""""""
		...

